#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="5才きざみの年代別売上数量金額合計"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f 日付,顧客 -i $inPath/dat.xt |
${dbg}xtcut -f日付,顧客,数量,金額 |
${dbg}xtjoin -k 顧客 -m$inPath/cust.xt -f生年月日 |
${dbg}xtcal -c 'down(age($日付,$生年月日),5)' -a年代 |
${dbg}xtsel -c '$年代>=10&&$年代<=90' |
${dbg}xtcut -f 年代,数量,金額 |
${dbg}xtagg -k年代 -f数量,金額 -c sum |
${dbg}xtcut -f 年代,数量,金額 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/age2.xt
#===============================================================
