#/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル上級帳票編』"

#---- コメント
comment="二つの小分類商品に関するバスケット分析"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
#全レシート枚数を計算
${dbg}xtcut   -f 日付,レシート -i $inPath/dat.xt |
${dbg}xtuniq  -k 日付,レシート |
${dbg}xtcount -a 件数 |
${dbg}xtcut   -f 件数 -o xxall

#小分類のレシート出現数を計算
${dbg}xtcut   -f 日付,レシート,小分類 -i $inPath/dat.xt |
${dbg}xtuniq  -k 日付,レシート,小分類 |
${dbg}xtcount -k 小分類 -a 件数 |
${dbg}xtcut   -f 小分類,件数 -o xxsyou

#２種類の小分類のレシート出現数を計算
${dbg}xtcut  -f 日付,レシート,小分類 -i $inPath/dat.xt |
${dbg}xtuniq -k 日付,レシート,小分類 |
${dbg}xtcombi -k 日付,レシート -f 小分類 -n2 -p -a 小分類１,小分類２ |
${dbg}xtcut   -f 小分類１,小分類２ |
${dbg}xtcount -k 小分類１,小分類２ -a 同時出現件数 -o xxsyou2

#全てを結合し、サポート、確信度、リフト値を計算
${dbg}xtjoin -k 小分類１ -m xxsyou -K 小分類 -f 件数:小分類１件数 -i xxsyou2 |
${dbg}xtjoin -k 小分類２ -m xxsyou -K 小分類 -f 件数:小分類２件数 |
${dbg}xtproduct -m xxall -f 件数:全件数 |
${dbg}xtcal -c '$同時出現件数/$小分類１件数'     -a 確信度 |
${dbg}xtcal -c '$同時出現件数/$全件数'           -a サポート |
${dbg}xtcal -c '$確信度/($小分類２件数/$全件数)' -a リフト値 |
${dbg}xtsort -k リフト値%rn,確信度%rn |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/association.xt

rm xx*
#===============================================================
