#/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル上級帳票編』"

#---- コメント
comment="顧客の来店回数と粗利金額率によるグループ別人数"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
#顧客別来店回数(日数)を求める
${dbg}xtcut -f 顧客,日付 -i $inPath/dat.xt |
${dbg}xtuniq -k 顧客,日付 |
${dbg}xtcount -k 顧客 -a 来店回数 |
${dbg}xtcut -f 顧客,来店回数 -o xxrai

#顧客別の一回来店あたりの平均粗利金額(粗利合計金額/来店回数)を求める
${dbg}xtcut -f 顧客,粗利金額 -i $inPath/dat.xt |
${dbg}xtdelnul -f 顧客,粗利金額 |
${dbg}xtagg -k 顧客 -f 粗利金額 -c sum |
${dbg}xtjoin -k 顧客 -m xxrai -f 来店回数 |
${dbg}xtcal -c '$粗利金額/$来店回数' -a 平均粗利金額 |
${dbg}xtcut -f 顧客,来店回数,平均粗利金額 -o xxara

#来店回数と平均粗利金額でグルーピングし、件数を求める
${dbg}xtbucket -f 来店回数:来店クラス,平均粗利金額:粗利クラス -n 3 -i xxara |
${dbg}xtcount  -k 来店クラス,粗利クラス -a 人数 |
${dbg}xtcut -f 来店クラス,粗利クラス,人数 |
${dbg}xtchgstr -f 来店クラス,粗利クラス -c1:低,2:中,3:高 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/custClass.xt

rm xx*
#===============================================================
