#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="会員販売率"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
#全体の月別数量合計を計算する
${dbg}xtcat -i$inPath/'dat*.xt.gz' |
${dbg}xtcut -f 日付,数量 |
${dbg}xtsubstr -f 日付:月 -R1_6 |
${dbg}xtagg -k 月 -f数量:全体数量合計 -c sum -o xxall

#会員の月別数量合計を計算する
${dbg}xtcat -i$inPath/'dat*.xt.gz' |
${dbg}xtdelnul -f顧客 |
${dbg}xtcut -f 日付,数量 |
${dbg}xtsubstr -f 日付:月 -R1_6 |
${dbg}xtagg -k 月 -f数量:会員数量合計 -c sum -o xxcust

#全体と会員の月別数量合計を結合し、会員販売率を計算する
${dbg}xtjoin -k月 -m xxcust -f会員数量合計 -ixxall |
${dbg}xtcal -c'round((($会員数量合計/$全体数量合計)*100),0.01)' -a会員販売率 |
${dbg}xtcut -f月,会員販売率 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtcustratio.xt
#===============================================================
