#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="練習課題2:粗利金額に基づいた会員販売率"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
#全体の月別粗利金額合計を計算する
${dbg}xtcat -i$inPath/'dat*.xt.gz' |
${dbg}xtcut -f 日付,粗利金額 |
${dbg}xtsubstr -f 日付:月 -R1_6 |
${dbg}xtagg -k 月 -f粗利金額:全体粗利金額合計 -c sum -o xxall

#会員の月別粗利金額合計を計算する
${dbg}xtcat -i$inPath/'dat*.xt.gz' |
${dbg}xtdelnul -f顧客 |
${dbg}xtcut -f 日付,粗利金額 |
${dbg}xtsubstr -f 日付:月 -R1_6 |
${dbg}xtagg -k 月 -f粗利金額:会員粗利金額合計 -c sum -o xxcust

#全体と会員の月別粗利金額合計を結合し、会員販売率を計算する
${dbg}xtjoin -k月 -m xxcust -f会員粗利金額合計 -ixxall |
${dbg}xtcal -c'round((($会員粗利金額合計/$全体粗利金額合計)*100),0.01)' -a会員販売率 |
${dbg}xtcut -f月,会員販売率 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtcustratio2.xt
#===============================================================
