#/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル上級帳票編』"

#---- コメント
comment="売上の移動平均"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
#日別の合計金額を求める
${dbg}xtcut -f 日付,金額 -i $inPath/dat.xt |
${dbg}xtagg -k 日付 -f 金額 -c sum |
${dbg}xtsetchr -v 7 -a 日数 |
${dbg}xtduprec -f 日数 |
${dbg}xtnumber -k 日付 -a 番号 |
${dbg}xtcal -k 日付 -c 'dayadd("20020101",keyNo()+$番号-2)' -a 移動日付 |
${dbg}xtcut -f 移動日付,金額 |
${dbg}xtagg -k 移動日付 -f 金額 -c avg |
${dbg}xtcal -c 'round($金額,0.1)' -a 平均金額 |
${dbg}xtcut -f 移動日付,平均金額 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/idou.xt
#===============================================================
