#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="顧客別平均来店間隔日数"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f 顧客 -i $inPath/dat.xt |
${dbg}xtcut -f顧客,日付 |
${dbg}xtuniq -k顧客,日付 |
${dbg}xtsort -k顧客,日付 |
${dbg}xtslide -k 顧客 -f日付:次回来店日 |
${dbg}xtcal -c'day($次回来店日,$日付)' -a来店間隔日数 |
${dbg}xtagg -k顧客 -f来店間隔日数:平均来店間隔日数 -c avg |
${dbg}xtcut -f顧客,平均来店間隔日数 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/inter.xt
#===============================================================
