#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="練習課題2:年月別顧客の粗利率ワースト5"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f顧客 -i $inPath/dat.xt |
${dbg}xtsubstr -f 日付:年月 -R 1_6 |
${dbg}xtcut -f 年月,顧客,金額,粗利金額 |
${dbg}xtagg -k 年月,顧客 -f金額,粗利金額 -c sum |
${dbg}xtcal -c 'round((($粗利金額/$金額)*100),0.1)' -a粗利率 |
${dbg}xtcut -f 年月,顧客,粗利率 |
tee xxham1 |
${dbg}xtnumber -s年月,粗利率%n -a順位 |
${dbg}xtbest -s年月,粗利率%n -R 1_5 |
${dbg}xtcut -f年月,順位,顧客,粗利率 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/profit2.xt
#===============================================================
