#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="顧客の初回来店日,最終来店日,来店期間"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 顧客,日付 -i $inPath/dat.xt |
${dbg}xtdelnul -f顧客 |
${dbg}xtagg -k顧客 -f日付:初回来店日 -c min -oxxsyo

${dbg}xtcut -f 顧客,日付 -i $inPath/dat.xt |
${dbg}xtdelnul -f顧客 |
${dbg}xtagg -k顧客 -f日付:最終来店日 -c max >xxfin

${dbg}xtjoin -k顧客 -f最終来店日 -m xxfin -ixxsyo |
${dbg}xtcal -c'day($最終来店日,$初回来店日)' -a来店期間 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/visitdate.xt

rm xx*
#===============================================================
