#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#
# 顧客の購買履歴データを月別に分割する
#
# Version :  2002/05/22 初期作成 by Y.Hamuro
#
# 入力ファイル : $outPath/dat.xt
# 出力ファイル : $outPath/dat2002xx.xt
#
#===============================================================
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
rm -rf tmp
mkdir tmp

${dbg}xtsubstr -f 日付:年月 -R 1_6 -A -i $outPath/dat.xt |
${dbg}xtsep -d 'tmp/dat$(年月).xt'

for fname in tmp/dat*
do
  ${dbg}xtcut -r -f 年月 -i $fname -o $outPath/${fname##*/}.gz
done

#ワークファイルを削除する
rm -rf tmp
rm -f xx*
#===============================================================
