#!/usr/bin/env bash

in="./indat"
out="./outdat"

rm -f $out/*

#dbg="valgrind --tool=memcheck --leak-check=yes --show-reachable=yes --num-callers=10 -v "

#---------------------------------------------------------------
cmd="xt2html"
#---------------------------------------------------------------
# different keys
${dbg}xt2html -i $in/dat9.xt -o $out/${cmd}01.html
${dbg}xt2html -k key1 -i $in/dat9.xt -o $out/${cmd}02.html
${dbg}xt2html -k key1,key2 -i $in/dat9.xt -o $out/${cmd}03.html
${dbg}xt2html -k key1,key2,key3 -i $in/dat9.xt -o $out/${cmd}04.html
${dbg}xt2html -k key1,key2,key3,key4 -i $in/dat9.xt -o $out/${cmd}05.html

# -C
xt2html -k key1,key2,key3,key4 -C 'key*' -R 'val*' -i $in/dat9.xt -o $out/${cmd}06.html

# -r
xt2html -k key1,key2,key3,key4 -C 'key*' -R 'val*' -b -i $in/dat9.xt -o $out/${cmd}07.html

#---------------------------------------------------------------
cmd="xt2gml"
#---------------------------------------------------------------
# All
${dbg}xt2gml -k key -v nodeID -f att1,att2 -i $in/vtx.xt -b nodeID1 -e nodeID2 -F Eatt1,Eatt2 -I $in/edge.xt -d dir -o $out/${cmd}01.xml

# without -f,-F
${dbg}xt2gml -k key -v nodeID -i $in/vtx.xt -b nodeID1 -e nodeID2 -I $in/edge.xt -d dir -o $out/${cmd}02.xml

# with -w
${dbg}xt2gml -k key -v nodeID -i $in/vtx.xt -b nodeID1 -e nodeID2 -I $in/edge.xt -d dir -w -o $out/${cmd}03.xml

# with -D
${dbg}xt2gml -k key -v nodeID -f att1,att2 -i $in/vtx.xt -b nodeID1 -e nodeID2 -F Eatt1,Eatt2 -I $in/edge.xt -D -o $out/${cmd}04.xml

# withoutkey
${dbg}xtuniq -k nodeID -i $in/vtx.xt -o xxa
${dbg}xt2gml -v nodeID -f att1,att2 -i xxa -b nodeID1 -e nodeID2 -F Eatt1,Eatt2 -I $in/edge.xt -d dir -o $out/${cmd}05.xml

# copyright, description
${dbg}xt2gml -k key -v nodeID -f att1,att2 -i $in/vtx.xt -b nodeID1 -e nodeID2 -F Eatt1,Eatt2 -I $in/edge.xt -o $out/${cmd}06.xml --cr "test copy-right" --desc "description"

#---------------------------------------------------------------
cmd="xtbar"
#---------------------------------------------------------------
# All
${dbg}xtbar  -k Brand -e Area -c Age -r Gender -f Purchase_Amount -i $in/dat8.xt -o $out/${cmd}01.svg

# without -c & %n
${dbg}xtbar  -k Brand -e Area -c Age%nr -r Gender%r -f Purchase_Amount -i $in/dat8.xt -o $out/${cmd}02.svg

# without -c & --fix
${dbg}xtbar  -k Brand -e Area -c Age -r Gender -f Purchase_Amount -i $in/dat8.xt --fix -o $out/${cmd}03.svg

# without -r
${dbg}xtselstr -f Gender -v Male -i $in/dat8.xt |
${dbg}xtbar  -k Brand -e Area -c Age -f Purchase_Amount -o $out/${cmd}04.svg

# without -c
${dbg}xtselstr -f Gender -v Male -i $in/dat8.xt |
${dbg}xtbar  -k Brand -e Area -r Age -f Purchase_Amount -o $out/${cmd}05.svg

# without -r & -c
${dbg}xtselstr -f Gender -v Male -i $in/dat8.xt |
${dbg}xtselstr -f Age    -v 40 |
${dbg}xtbar  -k Brand -e Area -f Purchase_Amount -o $out/${cmd}06.svg

# without -r & -c & -e
${dbg}xtselstr -f Gender -v Male -i $in/dat8.xt |
${dbg}xtselstr -f Age    -v 40 |
${dbg}xtselstr -f Area   -v Hokkaido |
${dbg}xtbar  -k Brand -f Purchase_Amount -o $out/${cmd}07.svg

# withTitle1
${dbg}xtheader -l "This is a title. これはタイトルです." -i $in/dat8.xt |
${dbg}xtbar  -k Brand -e Area -c Age -r Gender -f Purchase_Amount -o $out/${cmd}08.svg

# withTitle1
${dbg}xtheader -l "This is a title. これはタイトルです." -i $in/dat8.xt |
${dbg}xtbar  -k Brand -e Area -c Age -r Gender -f Purchase_Amount --title 'aaaaaaテストサンプルaaaaaaa' -o $out/${cmd}09.svg

#---------------------------------------------------------------
cmd="xtline"
#---------------------------------------------------------------
# All
${dbg}xtline  -k Brand -e Area -c Age -r Gender -f Purchase_Amount -i $in/dat8.xt -o $out/${cmd}01.svg

# without -c & %n
${dbg}xtline  -k Brand -e Area -c Age%nr -r Gender%r -f Purchase_Amount -i $in/dat8.xt -o $out/${cmd}02.svg

# without -c & --fix
${dbg}xtline  -k Brand -e Area -c Age -r Gender -f Purchase_Amount -i $in/dat8.xt --fix -o $out/${cmd}03.svg

# without -r
${dbg}xtselstr -f Gender -v Male -i $in/dat8.xt |
${dbg}xtline  -k Brand -e Area -c Age -f Purchase_Amount -o $out/${cmd}04.svg

# without -c
${dbg}xtselstr -f Gender -v Male -i $in/dat8.xt |
${dbg}xtline  -k Brand -e Area -r Age -f Purchase_Amount -o $out/${cmd}05.svg

# without -r & -c
${dbg}xtselstr -f Gender -v Male -i $in/dat8.xt |
${dbg}xtselstr -f Age    -v 40 |
${dbg}xtline  -k Brand -e Area -f Purchase_Amount -o $out/${cmd}06.svg

# without -r & -c & -e
${dbg}xtselstr -f Gender -v Male -i $in/dat8.xt |
${dbg}xtselstr -f Age    -v 40 |
${dbg}xtselstr -f Area   -v Hokkaido |
${dbg}xtline  -k Brand -f Purchase_Amount -o $out/${cmd}07.svg

# withTitle1
${dbg}xtheader -l "This is a title. これはタイトルです." -i $in/dat8.xt |
${dbg}xtline  -k Brand -e Area -c Age -r Gender -f Purchase_Amount -o $out/${cmd}08.svg

# withTitle1
${dbg}xtheader -l "This is a title. これはタイトルです." -i $in/dat8.xt |
${dbg}xtline  -k Brand -e Area -c Age -r Gender -f Purchase_Amount --title 'aaaaaaテストサンプルaaaaaaa' -o $out/${cmd}09.svg

#---------------------------------------------------------------
cmd="xtfixlen"
#---------------------------------------------------------------
${dbg}xtfixlen -k date,time -i $in/normal.xt -o $out/${cmd}01.xt
cp  $out/${cmd}01.xt $in/fixlen01.xt

${dbg}xtfixlen -k time,date -i $in/normal.xt -o $out/${cmd}02.xt
cp  $out/${cmd}02.xt $in/fixlen02.xt

${dbg}xtfixlen -i $in/normal.xt -o $out/${cmd}03.xt

${dbg}xtfixlen -f time%10 -i $in/normal.xt -o $out/${cmd}04.xt

${dbg}xtfixlen -f no%4,time%12 -i $in/normal.xt -o $out/${cmd}05.xt

#---------------------------------------------------------------
cmd="xtbsselstr"
#---------------------------------------------------------------
${dbg}xtbsselstr -k date,time -v 20030105:120000 -i $in/fixlen01.xt -o $out/${cmd}01.xt

${dbg}xtbsselstr -k date,time -v 20030105,20030108 -i $in/fixlen01.xt -o $out/${cmd}02.xt

${dbg}xtbsselstr -k date,time -v 20030105~20030108 -i $in/fixlen01.xt -o $out/${cmd}03.xt

${dbg}xtbsselstr -k date,time -v 20030101~20031231 -i $in/fixlen01.xt -o $out/${cmd}04.xt

${dbg}xtbsselstr -k date,time -v 20030105:120000~160500 -i $in/fixlen01.xt -o $out/${cmd}05.xt

${dbg}xtbsselstr -k date,time -v 20030105:120000~160500,20030101:100000 -i $in/fixlen01.xt -o $out/${cmd}06.xt

${dbg}xtbsselstr -k date,time -v 20030105:120000~160500,20030101:000000~245959 -i $in/fixlen01.xt -o $out/${cmd}07.xt

${dbg}xtbsselstr -k time -v 000000~245959 -i $in/fixlen02.xt -o $out/${cmd}08.xt

${dbg}xtbsselstr -k time,date -v 100000:20030101~20030101,120000 -i $in/fixlen02.xt -o $out/${cmd}09.xt


#---------------------------------------------------------------
cmd="xtbsupdate"
#---------------------------------------------------------------
cp $in/fixlen01.xt $out/${cmd}01.xt
${dbg}xtbsupdate -k date,time -v 20030105:120000 -f no%2 -i $out/${cmd}01.xt

cp $in/fixlen01.xt $out/${cmd}02.xt
${dbg}xtbsupdate -k date,time -v 20030105,20030108 -f no%3 -i $out/${cmd}02.xt

cp $in/fixlen01.xt $out/${cmd}03.xt
${dbg}xtbsupdate -k date,time -v 20030105~20030108 -f no%4 -i $out/${cmd}03.xt

cp $in/fixlen01.xt $out/${cmd}04.xt
${dbg}xtbsupdate -k date,time -v 20030101~20031231 -f no%5 -i $out/${cmd}04.xt

cp $in/fixlen01.xt $out/${cmd}05.xt
${dbg}xtbsupdate -k date,time -v 20030105:120000~160500 -f no%6 -i $out/${cmd}05.xt

cp $in/fixlen01.xt $out/${cmd}06.xt
${dbg}xtbsupdate -k date,time -v 20030105:120000~160500,20030101:100000 -f no%7 -i $out/${cmd}06.xt

cp $in/fixlen01.xt $out/${cmd}07.xt
${dbg}xtbsupdate -k date,time -v 20030105:120000~160500,20030101:000000~245959 -f no%8 -i $out/${cmd}07.xt

cp $in/fixlen02.xt $out/${cmd}08.xt
${dbg}xtbsupdate -k time -v 000000~245959 -f no%9 -i $out/${cmd}08.xt

cp $in/fixlen02.xt $out/${cmd}09.xt
${dbg}xtbsupdate -k time,date -v 100000:20030101~20030101,120000 -f no%A -i $out/${cmd}09.xt

#---------------------------------------------------------------
cmd="xtformat"
#---------------------------------------------------------------
${dbg}xtformat -I $in/template.html -i $in/normal.xt -o $out/${cmd}01.txt

${dbg}xtformat -I $in/template2.html -i $in/normal.xt -o $out/${cmd}02.txt

${dbg}xtformat -I $in/template.html -i $in/null.xt -o $out/${cmd}03.txt

${dbg}xtformat -I $in/template.html -n $in/whenNull.html -i $in/null.xt -o $out/${cmd}04.txt

#---------------------------------------------------------------
cmd="xml2xt"
#---------------------------------------------------------------
${dbg}xml2xt -k /root/店/日付/行 -f 時間,商品 -i $in/dat.xml -o $out/${cmd}01.xt

${dbg}xml2xt -k /root/店/日付/行 -f 時間,商品 -i $in/dat.xml -S '#SPACE#' -o $out/${cmd}02.xt

#---------------------------------------------------------------
cmd="xt2csv"
#---------------------------------------------------------------
${dbg}xt2csv -i $in/dat4.xt -o $out/${cmd}01.txt

${dbg}xt2csv -F -i $in/dat4.xt -o $out/${cmd}02.txt

${dbg}xt2csv -q no1,no3 -F -i $in/dat4.xt -o $out/${cmd}03.txt

#---------------------------------------------------------------
cmd="csv2xt"
#---------------------------------------------------------------
${dbg}csv2xt -i $in/dat4.csv -F -o $out/${cmd}01.xt

${dbg}csv2xt -i $in/dat4.csv -a a,b,c -o $out/${cmd}02.xt

#---------------------------------------------------------------
cmd="xt2xml"
#---------------------------------------------------------------
${dbg}xt2xml -k 店,日付,時間 -i $in/dat.xt -o $out/${cmd}01.xml

${dbg}xt2xml -k 店,日付,時間 -i $in/dat.xt -R RootTag:year=2001 -o $out/${cmd}02.xml

${dbg}xt2xml -k 店,日付 -i $in/dat.xt -L 行 -o $out/${cmd}03.xml

${dbg}xt2xml -k 店,日付 -i $in/dat.xt -L 行 -q -o $out/${cmd}04.xml

${dbg}xt2xml -i $in/xt2xml.xt -o $out/${cmd}05.xml

${dbg}xt2xml -k month -i $in/xt2xml.xt -o $out/${cmd}06.xml

#---------------------------------------------------------------
cmd="xtaccum"
#---------------------------------------------------------------
#数量,金額累計
#数量,金額項目の＊を0に変換
${dbg}xtnulto -f 数量,金額 -v 0 -i $in/dat.xt              |
#accumで数量,金額の累計
${dbg}xtaccum -k 店 -s 日付%n -f 数量:数量累計,金額:金額累計 -o $out/${cmd}01.xt


#数量,金額累計
#数量,金額項目の＊を0に変換
${dbg}xtnulto -f 数量,金額 -v 0 -i $in/dat.xt              |
#accumで数量,金額の累計
${dbg}xtaccum -s 日付%n -f 数量:数量累計,金額:金額累計 -o $out/${cmd}02.xt

#---------------------------------------------------------------
cmd="xtagg"
#---------------------------------------------------------------
#日付毎に金額を合計(-k -f -c sum)使用時
${dbg}xtagg -k 日付 -f 数量,金額 -c sum -i $in/dat.xt -o $out/${cmd}01.xt

#日付毎に金額をカウント(-k -f -c cnt)使用時
${dbg}xtagg -k 日付 -f 数量,金額 -c cnt -i $in/dat.xt -o $out/${cmd}02.xt

#日付毎に金額を平均(-k -f -c avg)使用時
${dbg}xtagg -k 日付 -f 数量,金額 -c avg -i $in/dat.xt -o $out/${cmd}03.xt

#日付毎に金額の最大値(-k -f -c max)使用時
${dbg}xtagg -k 日付 -f 数量,金額 -c max -i $in/dat.xt -o $out/${cmd}04.xt

#日付毎に金額の最小値(-k -f -c min)使用時
${dbg}xtagg -k 日付 -f 数量,金額 -c min  -i $in/dat.xt -o $out/${cmd}05.xt

#日付毎に数量,金額を合計(-k -f -c sum)使用時 ＊シーケンシャル集計
${dbg}xtagg -k 日付 -f 数量,金額  -c sum -q -i $in/dat.xt -o $out/${cmd}06.xt

#日付毎に数量,金額をカウント(-k -f -c cnt)使用時 ＊シーケンシャル集計
${dbg}xtagg -k 日付 -f 数量,金額 -q -c cnt -i $in/dat.xt -o $out/${cmd}07.xt

#日付毎に数量,金額を平均(-k -f -c avg)使用時 ＊シーケンシャル集計
${dbg}xtagg -k 日付 -f 数量,金額 -q -c avg -i $in/dat.xt -o $out/${cmd}08.xt

#日付毎に数量,金額の最大値(-k -f -c max)使用時 ＊シーケンシャル集計
${dbg}xtagg -k 日付 -f 数量,金額 -q -c max -i $in/dat.xt -o $out/${cmd}09.xt

#日付毎に数量,金額の最小値(-k -f -c min)使用時 ＊シーケンシャル集計
${dbg}xtagg -k 日付 -f 数量,金額 -q -c min -i $in/dat.xt -o $out/${cmd}10.xt

#数量,金額を合計(-f -c sum)使用時 ＊K指定なし、
${dbg}xtagg -f 数量,金額 -c sum -i $in/dat.xt -o $out/${cmd}11.xt

#数量,金額をカウント(-f -c cnt)使用時 ＊K指定なし、
${dbg}xtagg -f 数量,金額 -c cnt -i $in/dat.xt -o $out/${cmd}12.xt

#数量,金額を平均(-f -c avg)使用時 ＊K指定なし
${dbg}xtagg -f 数量,金額 -c cnt -i $in/dat.xt -o $out/${cmd}13.xt

#数量,金額の最大値(-f -c max)使用時 ＊K指定なし，
${dbg}xtagg -f 数量,金額 -c max -i $in/dat.xt -o $out/${cmd}14.xt

#数量,金額の最小値(-f -c min)使用時 ＊k指定なし，
${dbg}xtagg -f 数量,金額 -c min -i $in/dat.xt -o $out/${cmd}15.xt

#数量,金額を合計(-f -c sum)使用時 ＊K指定なし，シーケンシャル集計
${dbg}xtagg -f 数量,金額 -c sum -i $in/dat.xt -o $out/${cmd}16.xt

#数量,金額をカウント(-f -c cnt)使用時 ＊K指定なし，シーケンシャル集計
${dbg}xtagg -f 数量,金額 -c cnt -i $in/dat.xt -o $out/${cmd}17.xt

#金額を平均(-f -c avg)使用時 ＊K指定なし，シーケンシャル集計
${dbg}xtagg -f 数量,金額 -c avg -i $in/dat.xt -o $out/${cmd}18.xt

#数量,金額の最大値(-f -c max)使用時 ＊K指定なし，シーケンシャル集計
${dbg}xtagg -f 数量,金額 -c max -i $in/dat.xt -o $out/${cmd}19.xt

#数量,金額の最小値(-f -c min)使用時 ＊K指定なし，シーケンシャル集計
${dbg}xtagg -f 数量,金額 -c min -i $in/dat.xt -o $out/${cmd}20.xt

${dbg}xtagg -k 店 -f 数量 -c sum -i $in/dat.xt -o $out/${cmd}21.xt

#複数キーでの集計
${dbg}xtagg -k 店,日付,時間 -f 数量,金額 -c sum -i $in/dat.xt -o $out/${cmd}22.xt
${dbg}xtagg -k 時間,日付,店 -f 金額,数量 -c sum -i $in/dat.xt -o $out/${cmd}23.xt

#---------------------------------------------------------------
cmd="xtbest"
#---------------------------------------------------------------
#金額の高い順にベストする
${dbg}xtbest -k 店 -s 金額%nr -R 2_3 -i $in/dat.xt -o $out/${cmd}01.xt

#金額の高い順にベストする(条件反転)
${dbg}xtbest -k 店 -s 金額%nr -r -R 2_3 -i $in/dat.xt -o $out/${cmd}02.xt

#金額の高い順にベストする(-k指定なし)
${dbg}xtbest  -s 金額%nr -R 2_3 -i $in/dat.xt -o $out/${cmd}03.xt

#金額の高い順にベストする(条件反転,-k指定なし)
${dbg}xtbest -s 金額%nr -r -R 2_3 -i $in/dat.xt -o $out/${cmd}04.xt

#金額の高い順にベストする(シーケンシャル処理)
${dbg}xtbest -k 店 -s 金額%nr -R 1 -q -i $in/dat.xt -o $out/${cmd}05.xt

#金額の高い順にベストする(条件反転,シーケンシャル処理)
${dbg}xtbest -k 店 -s 金額%nr -r -R 1 -q -i $in/dat.xt -o $out/${cmd}06.xt

#金額の高い順にベストする(-k指定なし,シーケンシャル処理)
${dbg}xtbest  -s 金額%nr -R 1 -q -i $in/dat.xt -o $out/${cmd}07.xt

#金額の高い順にベストする(条件反転,-k指定なし,シーケンシャル処理)
${dbg}xtbest -s 金額%nr -r -R 1 -q -i $in/dat.xt -o $out/${cmd}08.xt

#---------------------------------------------------------------
cmd="xtbucket"
#---------------------------------------------------------------
#数量,金額のバケット
${dbg}xtbucket -f 数量:数量バケット,金額:金額バケット -n 2 -i $in/dat.xt -o $out/${cmd}01.xt

#キー付き
${dbg}xtbucket -k 店 -f 数量:数量バケット,金額:金額バケット -n 2 -i $in/dat.xt -o $out/${cmd}02.xt

#nを大きく
${dbg}xtbucket -f 数量:数量バケット,金額:金額バケット -n 10 -i $in/dat.xt -o $out/${cmd}03.xt

#逆順
${dbg}xtbucket -f 数量:数量バケット,金額:金額バケット -r -n 2 -i $in/dat.xt -o $out/${cmd}04.xt

#フォーマット1
${dbg}xtbucket -f 数量:数量バケット,金額:金額バケット -F 1 -n 2 -i $in/dat.xt -o $out/${cmd}05.xt

#フォーマット2
${dbg}xtbucket -f 数量:数量バケット,金額:金額バケット -F 2 -n 2 -i $in/dat.xt -o $out/${cmd}06.xt

#範囲ファイル出力
${dbg}xtbucket -f 数量:数量バケット,金額:金額バケット -F 2 -n 2 -i $in/dat.xt -o $out/${cmd}07.xt -O $out/${cmd}08.xt

#範囲均等バケット
${dbg}xtbucket -f 数量:数量バケット,金額:金額バケット -c rng -n 3 -i $in/dat.xt -o $out/${cmd}09.xt -O $out/${cmd}10.xt

#キー付き
${dbg}xtbucket -k 店 -f 数量:数量バケット,金額:金額バケット -n 2 -i $in/dat.xt -o $out/${cmd}11.xt -O $out/${cmd}12.xt

#---------------------------------------------------------------
cmd="xtcal"
#---------------------------------------------------------------
#演算子関連
#---------------------------------------------------------------

#金額を100円増にする(四則の＋)
${dbg}xtcal -c '$金額+100' -a 百円増 -i $in/dat.xt -o $out/${cmd}01.xt

#金額を100円引にする(四則のー)
${dbg}xtcal -c '$金額-100' -a 百円引 -i $in/dat.xt -o $out/${cmd}02.xt

#金額を3倍にする(四則の×)
${dbg}xtcal -c '$金額*3' -a 三倍金額 -i $in/dat.xt -o $out/${cmd}03.xt

#商品単価を出す(四則の÷)
${dbg}xtcal -c '$金額/$数量' -a 単価 -i $in/dat.xt -o $out/${cmd}04.xt

#金額が500円より少ないかを出す(比較演算の≦)
${dbg}xtcal -c '$金額<=500' -a 500円以下 -i $in/dat.xt -o $out/${cmd}05.xt

#金額が500円未満かどうかをだす(比較演算の＜)
${dbg}xtcal -c '$金額<500' -a 500未満 -i $in/dat.xt -o $out/${cmd}06.xt

#500円以上のものを抜き出す(比較演算の≧)
${dbg}xtcal -c '$金額>=500' -a 500円以上 -i $in/dat.xt -o $out/${cmd}07.xt

#500円より大きいものをだす(比較演算の＞)
${dbg}xtcal -c '$金額>500' -a 500円より大きい -i $in/dat.xt -o $out/${cmd}08.xt

#500円では無いものをだす(比較演算の＜＞)
${dbg}xtcal -c '$金額<>500' -a 500円ではないもの -i $in/dat.xt -o $out/${cmd}09.xt

#500円のものをだす(比較演算の＝＝)
${dbg}xtcal -c '$金額==500' -a 500円のもの -i $in/dat.xt -o $out/${cmd}10.xt

#2002年の上半期かどうか(文字列比較のle)
${dbg}xtcal -c '$日付 -le"20020531"' -a 上半期 -i $in/dat.xt -o $out/${cmd}11.xt

#2002年の上半期かどうか(文字列比較のlt)
${dbg}xtcal -c '$日付 -lt"20020601"' -a 上半期 -i $in/dat.xt -o $out/${cmd}12.xt

#2002年の下半期かどうか(文字列比較のge)
${dbg}xtcal -c '$日付 -ge"20020601"' -a 下半期 -i $in/dat.xt -o $out/${cmd}13.xt

#2002年の下半期かどうか(文字列比較のgt)
${dbg}xtcal -c '$日付 -gt"20020531"' -a 下半期 -i $in/dat.xt -o $out/${cmd}14.xt

#2002年の９月２６日のものをだす(文字列比較のeq)
${dbg}xtcal -c '$日付 -eq"20020926"' -a ９月２６日 -i $in/dat.xt -o $out/${cmd}15.xt

#2002年の９月２６日でないものをだす(文字列比較のne)
${dbg}xtcal -c '$日付 -ne"20020926"' -a ９月２６日以外 -i $in/dat.xt -o $out/${cmd}16.xt

#金額が300円以下または500円以上のものをだす(論理演算の｜｜)
${dbg}xtcal -c '$金額>=500 || $金額<=300' -a 300円以下、500円以上 -i $in/dat.xt -o $out/${cmd}17.xt

#金額が300円以上かつ500円以下のものをだす(論理演算の＆＆)
${dbg}xtcal -c '$金額<=500 && $金額>=300' -a 300円以上、500円以下 -i $in/dat.xt -o $out/${cmd}18.xt

#A店であるものをだす(正規表現による比較演算)
${dbg}xtcal -c '$店 =~A' -a A店であるかどうか -i $in/dat.xt -o $out/${cmd}19.xt

#１ダースあたりの金額を出す
${dbg}xtcal -c '($金額/$数量)*12'  -a 1ダース価格 -i $in/dat.xt -o $out/${cmd}20.xt

#-----------------------------------------------------------------------------
#関数(日付時間関連)
#-----------------------------------------------------------------------------

#年齢計算する
${dbg}xtcal -c 'age($日付,"19791106")' -a 年令 -i $in/dat.xt -o $out/${cmd}21.xt

#日付を変換する
${dbg}xtcal -c 'datefmt($日付,"%Y年%M月%D日%j曜日")' -a 年月日曜日 -i $in/dat.xt -o $out/${cmd}22.xt

#三ヵ月後を計算
${dbg}xtcal -c 'dayadd($日付,92)' -a 半年後日付 -i $in/dat.xt -o $out/${cmd}23.xt

#21世紀に入ってからの日数
${dbg}xtcal -c 'day($日付,"20010101")' -a 21世紀以後の日数 -i $in/dat.xt -o $out/${cmd}24.xt

#時間を変換する
${dbg}xtcal -c 'timefmt($時間,"%H時%M分%S秒")' -a 時分秒 -i $in/dat.xt -o $out/${cmd}25.xt

#時刻を十秒進める
${dbg}xtcal -c 'timeadd($時間,10)' -a 時間2 -i $in/dat.xt -o $out/${cmd}26.xt

#時刻間計算
${dbg}xtcal -c 'time("055015",$時間)' -a 時間差 -i $in/dat.xt -o $out/${cmd}27.xt

#今日の日付を出す
#xtcal -c 'today()' -a 今日の日付 -i $in/dat.xt -o $out/${cmd}28.xt

#現在の時刻を出す
#xtcal -c 'now()' -a 今の時間 -i $in/dat.xt -o $out/${cmd}29.xt

#--------------------------------------------------------------------------
#関数(数値関連)
#--------------------------------------------------------------------------

#金額の１の位切り上げ 
${dbg}xtcal -c 'up($金額,10)' -a 1の位を切り上げ -i $in/dat.xt -o $out/${cmd}30.xt

#金額の１の位切り捨て
${dbg}xtcal -c 'down($金額,10)' -a １の位を切り捨て -i $in/dat.xt -o $out/${cmd}31.xt

#金額の1の位を四捨五入 
${dbg}xtcal -c 'round($金額,10)' -a 1の位四捨五入 -i $in/dat.xt -o $out/${cmd}32.xt

#金額の平方根をだす
${dbg}xtcal -c 'sqrt($金額)' -a 金額の平方根  -i $in/dat.xt -o $out/${cmd}33.xt

#金額の絶対値を出す
#元データの金額にマイナスが無いので作る
${dbg}xtcal -c '$金額-400' -a 新金額 -i $in/dat.xt            |
#絶対値の計算
${dbg}xtcal -c 'abs($新金額)' -a 新金額絶対値 -o $out/${cmd}34.xt

#数量の巾乗３を出す
${dbg}xtcal -c 'power($数量,3)' -a 数量巾乗 -i $in/dat.xt -o $out/${cmd}35.xt

#金額に数値を足す
${dbg}xtcal -c 'sum($金額,10,20)' -a 金額＋ -i $in/dat.xt -o $out/${cmd}36.xt

#数量の巾乗をだす
${dbg}xtcal -c 'exp($数量)' -a 金額巾 -i $in/dat.xt -o $out/${cmd}37.xt

#数量の自然対数をだす
${dbg}xtcal -c 'ln($数量)' -a 数量自然対数 -i $in/dat.xt -o $out/${cmd}38.xt

#数量のLOGを出す
${dbg}xtcal -c 'log($数量,5)' -a 数量対数５ -i $in/dat.xt -o $out/${cmd}39.xt

#数量のLOGを出す(底数2)
${dbg}xtcal -c 'log2($数量)' -a 数量対数2 -i $in/dat.xt -o $out/${cmd}40.xt

#数量のLOGを出す(底数１０)
${dbg}xtcal -c 'log10($数量)' -a 数量対数10 -i $in/dat.xt -o $out/${cmd}41.xt

#πを出す
${dbg}xtcal -c 'pi()' -a π -i $in/dat.xt -o $out/${cmd}42.xt

#乱数を求める
${dbg}xtcal -c 'rand(100,10,2)' -a 乱数 -i $in/dat.xt -o $out/${cmd}43.xt

#正規分布に基づいた乱数
${dbg}xtcal -c 'nrand(100,20,2)' -a 乱数 -i $in/dat.xt -o $out/${cmd}44.xt

#小数点以下の桁数を揃える1
${dbg}xtcal -c 'fixdec($数値2,0)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-1.xt

#小数点以下の桁数を揃える2
${dbg}xtcal -c 'fixdec($数値2,3)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-2.xt

#小数点以下の桁数を揃える3
${dbg}xtcal -c 'fixdec($数値2,6)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-3.xt

#小数点の切り下げ1
${dbg}xtcal -c 'down($数値2,0.1)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-4.xt

#小数点の切り下げ2
${dbg}xtcal -c 'down($数値2,0.000001)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-5.xt

#小数点の切り下げ3
${dbg}xtcal -c 'down($数値2,1)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-6.xt

#小数点の切り下げ4
${dbg}xtcal -c 'down($数値2,10)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-7.xt

#小数点の切り下げ5
${dbg}xtcal -c 'down($数値2,1000)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-8.xt

#小数点の切り上げ1
${dbg}xtcal -c 'up($数値2,0.1)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-9.xt

#小数点の切り上げ2
${dbg}xtcal -c 'up($数値2,0.000001)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-10.xt

#小数点の切り上げ3
${dbg}xtcal -c 'up($数値2,1)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-11.xt

#小数点の切り上げ4
${dbg}xtcal -c 'up($数値2,10)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-12.xt

#小数点の切り上げ5
${dbg}xtcal -c 'up($数値2,1000)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-13.xt

#小数点の四捨五入1
${dbg}xtcal -c 'round($数値2,0.1)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-14.xt

#小数点の四捨五入2
${dbg}xtcal -c 'round($数値2,0.000001)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-15.xt

#小数点の四捨五入3
${dbg}xtcal -c 'round($数値2,1)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-16.xt

#小数点の四捨五入4
${dbg}xtcal -c 'round($数値2,10)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-17.xt

#小数点の四捨五入5
${dbg}xtcal -c 'round($数値2,1000)' -a 新数値 -i $in/dat3.xt -o $out/${cmd}44-18.xt

#min関数
${dbg}xtcal -c 'min($数値1,$数値2)' -a 数値min -i $in/dat3.xt -o $out/${cmd}44-19.xt
${dbg}xtcal -c 'min($数値?)' -a 数値min -i $in/dat3.xt -o $out/${cmd}44-20.xt

#max関数
${dbg}xtcal -c 'max($数値1,$数値2)' -a 数値max -i $in/dat3.xt -o $out/${cmd}44-21.xt
${dbg}xtcal -c 'max($(数値*))' -a 数値max -i $in/dat3.xt -o $out/${cmd}44-22.xt

#---------------------------------------------------------------
# 文字列関連
#---------------------------------------------------------------
#日付時間を結合させる
${dbg}xtcal -c 'cat($日付,$時間,"/")' -a 日時 -i $in/dat.xt -o $out/${cmd}45.xt

#文字列のバイト数を出す
${dbg}xtcal -c 'length($商品)' -a 商品バイト数 -i $in/dat.xt -o $out/${cmd}46.xt

#固定長文列にする
${dbg}xtcal -c 'fix("N","5","R","Y")' -a 固定長文 -i $in/dat.xt -o $out/${cmd}47.xt

#正規表現の開始位置マッチ
${dbg}xtcal -c 'regexStart($正規,BB)' -a 正規マッチ -i $in/regedat.xt -o $out/${cmd}48.xt

#正規表現の終端位置マッチ
${dbg}xtcal -c 'regexEnd($正規,AC)' -a 正規マッチ -i $in/regedat.xt -o $out/${cmd}49.xt

#正規表現のマッチ文字数
${dbg}xtcal -c 'regexLen($正規,AC)' -a マッチ文字数 -i $in/regedat.xt -o $out/${cmd}50.xt

#---------------------------------------------------------------
#論理関連
#---------------------------------------------------------------
#IF条件
${dbg}xtcal -c 'if($金額>400,Y,N)' -a 400円より大きいか否か -i $in/dat.xt -o $out/${cmd}51.xt

#NOT条件
${dbg}xtcal -c 'not($金額>400)' -a 400円より大きいか -i $in/dat.xt -o $out/${cmd}52.xt

#---------------------------------------------------------------
#行項目関連
#---------------------------------------------------------------
#処理中の行番号を出す
${dbg}xtcal -c 'line()' -a 処理番号 -i $in/dat.xt -o $out/${cmd}53.xt

#項目の数出す
${dbg}xtcal -c 'fldCnt()' -a 項目数 -i $in/dat.xt -o $out/${cmd}54.xt

#キー内行数
${dbg}xtcal -k 店 -c 'keyLine()' -a キー内 -i $in/dat.xt -o $out/${cmd}55.xt

#キーカウント
${dbg}xtcal -k 店 -c 'keyCnt()' -a キーカウント -i $in/dat.xt -o $out/${cmd}56.xt

#キーナンバー
${dbg}xtcal -k 店 -c 'keyNo()' -a キー連番 -i $in/dat.xt -o $out/${cmd}57.xt

#キー内絶対行番号(A)
${dbg}xtcal -k 店 -c 'topField($商品)' -a 先頭の商品 -i $in/dat.xt -o $out/${cmd}58.xt


#キー内相対行番号(R)
${dbg}xtcal -k 店 -c 'prvField($商品)' -a １行前の商品 -i $in/dat.xt -o $out/${cmd}59.xt

#絶対行番号の演算結果
${dbg}xtcal -k 店 -c 'if(keyLine()==1,1,prvResult()+1)' -a １行前の結果＋１ -i $in/dat.xt -o $out/${cmd}60.xt

#相対行番号の演算結果
${dbg}xtcal -k 店 -c 'if(keyLine()==1,1,topResult())' -a 先頭行の結果  -i $in/dat.xt -o $out/${cmd}61.xt

#---------------------------------------------------------------
cmd="xtcat"
#---------------------------------------------------------------
#標準連結
${dbg}xtcat -n -i $in/dat.xt,$in/dat.xt -o $out/${cmd}01.xt

#項目数の違うVER．
${dbg}xtcat -n -i $in/dat.xt,$in/dat1.xt -o $out/${cmd}02.xt

#ソート情報を含むデータのcat
${dbg}xtcat -i $in/dat2.xt,$in/dat3.xt -o $out/${cmd}03.xt

#---------------------------------------------------------------
cmd="xtchgnum"
#---------------------------------------------------------------
#金額を100未満,100~500未満,500以上で変換する
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500,MAX -v Low,Midium,High -i $in/dat.xt -o $out/${cmd}01.xt

#金額を100未満,100~500未満,500以上で変換する(以上、以下で扱う)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500,MAX -v Low,Midium,High -r -i $in/dat.xt -o $out/${cmd}02.xt

#金額を100未満,100~500未満,500以上で変換する(新項目出力)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500,MAX -v Low,Midium,High -A  -i $in/dat.xt -o $out/${cmd}03.xt

#金額を100未満,100~500未満,500以上で変換する(以上、以下で扱う,新項目出力)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500,MAX -v Low,Midium,High -r -A -i $in/dat.xt -o $out/${cmd}04.xt

#金額を100未満,100~500未満,500以上で変換する(範囲外をそのままに)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500 -v Low,High -F -i $in/dat.xt -o $out/${cmd}05.xt

#金額を100未満,100~500未満,500以上で変換する(以上、以下で扱う,範囲外をそのままに)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500 -v Low,High -r -F -i $in/dat.xt -o $out/${cmd}06.xt

#金額を100未満,100~500未満,500以上で変換する(新項目出力,範囲外をそのままに)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500 -v Low,High -A -F -i $in/dat.xt -o $out/${cmd}07.xt

#金額を100未満,100~500未満,500以上で変換する(以上、以下で扱う,新項目出力,範囲外をそのままに)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500 -v Low,High -r -A -F -i $in/dat.xt -o $out/${cmd}08.xt

#金額を100未満,100~500未満,500以上で変換する(範囲外指定)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500 -v Low,High -O 不明 -i $in/dat.xt -o $out/${cmd}09.xt

#金額を100未満,100~500未満,500以上で変換する(以上、以下で扱う,範囲外指定)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500 -v Low,High -r -O 不明 -i $in/dat.xt -o $out/${cmd}10.xt

#金額を100未満,100~500未満,500以上で変換する(新項目出力,範囲外指定)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500 -v Low,High -A  -O 不明 -i $in/dat.xt -o $out/${cmd}11.xt

#金額を100未満,100~500未満,500以上で変換する(以上、以下で扱う,新項目出力,範囲外指定)
${dbg}xtchgnum -f 金額:金額範囲 -R MIN,300,500 -v Low,High -r -A -O 不明 -i $in/dat.xt -o $out/${cmd}12.xt

#---------------------------------------------------------------
cmd="xtchgstr"
#---------------------------------------------------------------
#店名の変更
${dbg}xtchgstr -f 店 -c A:店NO1,B:店NO2,C:店NO3,D:店NO4 -i $in/dat.xt -o $out/${cmd}01.xt

#店名の変(-Oで該当なしを変換)
${dbg}xtchgstr -f 店 -c A:店NO1,B:店NO2,C:店NO3,D:店NO4 -O 不明店 -i $in/dat.xt -o $out/${cmd}02.xt

#店名の変更(-Aで新項目として出力)
${dbg}xtchgstr -f 店:真店名 -c A:店NO1,B:店NO2,C:店NO3,D:店NO4 -A  -i $in/dat.xt -o $out/${cmd}03.xt

#店名の変更(-Oで該当なしを変換,Aで新項目として出力))
${dbg}xtchgstr -f 店:真店名 -c A:店NO1,B:店NO2,C:店NO3,D:店NO4 -O 不明店 -A -i $in/dat.xt -o $out/${cmd}04.xt

#店名の変更
${dbg}xtchgstr -f 店 -c A:店NO1,B:店NO2,C:店NO3,D:店NO4 -F  -i $in/dat.xt -o $out/${cmd}05.xt

#---------------------------------------------------------------
cmd="xtcombi"
#---------------------------------------------------------------
#商品コンビ2通り
${dbg}xtcombi -k 店 -f 商品 -n 2 -a 商品1,商品2 -i $in/dat.xt -o $out/${cmd}01.xt

#商品コンビ2通り
${dbg}xtcombi -k 店 -f 商品 -n 2 -a 商品1,商品2 -p -i $in/dat.xt -o $out/${cmd}02.xt

#商品コンビ2通り(キーなし)
${dbg}xtcombi -f 商品 -n 2 -a 商品1,商品2 -i $in/dat.xt -o $out/${cmd}03.xt

#商品コンビ2通り(キーなし)
${dbg}xtcombi -f 商品 -n 2 -a 商品1,商品2 -p -i $in/dat.xt -o $out/${cmd}04.xt

#商品コンビ2通り(シーケンシャル)
${dbg}xtcombi -k 店 -f 商品 -n 2 -a 商品1,商品2 -q -i $in/dat.xt -o $out/${cmd}05.xt

#商品コンビ2通り
${dbg}xtcombi -k 店 -f 商品 -n 2 -a 商品1,商品2 -p -q -i $in/dat.xt -o $out/${cmd}06.xt

#商品コンビ2通り(キーなし)
${dbg}xtcombi -f 商品 -n 2 -a 商品1,商品2 -q -i $in/dat.xt -o $out/${cmd}07.xt

#商品コンビ2通り(キーなし)
${dbg}xtcombi -f 商品 -n 2 -a 商品1,商品2 -p -q -i $in/dat.xt -o $out/${cmd}08.xt

#---------------------------------------------------------------
cmd="xtcommon"
#---------------------------------------------------------------
#日付をキーにしてセレクト
${dbg}xtcommon -k 日付 -m $in/dat1.xt -i $in/dat.xt -o $out/${cmd}01.xt

#日付をキーにしてセレクト(条件反転)
${dbg}xtcommon -k 日付 -r -m $in/dat1.xt -i $in/dat.xt -o $out/${cmd}02.xt

#日付をキーにしてセレク(強制出力)
${dbg}xtcommon -k 日付 -m $in/dat1.xt -u $out/${cmd}03u.xt -i $in/dat.xt -o $out/${cmd}03.xt

#日付をキーにしてセレクト(強制出力,条件反転)
${dbg}xtcommon -k 日付 -r -m $in/dat1.xt -u $out/${cmd}04u.xt -i $in/dat.xt -o $out/${cmd}04.xt

#---------------------------------------------------------------
cmd="xtcount"
#---------------------------------------------------------------
#商品カウント(K指定あり)
${dbg}xtcount -k 商品 -a 商品カウント -i $in/dat.xt -o $out/${cmd}01.xt

#全商品カウント
${dbg}xtcount  -a 商品カウント  -i $in/dat.xt -o $out/${cmd}02.xt

#商品カウント(K指定あり) ＊シーケンシャル集計
${dbg}xtcount -k 商品 -a 商品カウント -q -i $in/dat.xt -o $out/${cmd}03.xt

#全商品カウント ＊シーケンシャル集計
${dbg}xtcount  -a 商品カウント -q -i $in/dat.xt -o $out/${cmd}04.xt

#---------------------------------------------------------------
cmd="xtcut"
#---------------------------------------------------------------
#パラメータを-fのみ
${dbg}xtcut -f 店,数量 -i $in/dat.xt -o $out/${cmd}01.xt

#パラメータ-rを付けた
${dbg}xtcut -f 店,数量 -r -i $in/dat.xt -o $out/${cmd}02.xt

#パラメータ-zを付けた
${dbg}xtcut -f 店,数量 -i $in/dat.xt -z -o $out/${cmd}03.xt.gz

#パラメータ-f,-zを付けた
${dbg}xtcut -f 店,数量 -r -i $in/dat.xt  -z -o $out/${cmd}04.xt.gz

#新項目名の出力
${dbg}xtcut -f 店:新店,数量:新数量 -i $in/dat.xt -o $out/${cmd}05.xt

#ソート情報が反映されるか1
${dbg}xtsort -k 店,数量%rn -i $in/dat.xt |
${dbg}xtcut -f 店,商品,金額 -o $out/${cmd}06.xt

#ソート情報が反映されるか2
${dbg}xtsort -k 店,数量%rn -i $in/dat.xt |
${dbg}xtcut -f 商品,金額 -o $out/${cmd}07.xt

#ソート情報が反映されるか2
${dbg}xtsort -k 店,数量%rn -i $in/dat.xt |
${dbg}xtcut -f 店,商品,数量 -o $out/${cmd}08.xt

#---------------------------------------------------------------
cmd="xtdelnul"
#---------------------------------------------------------------
#数量、金額の＊を削除
${dbg}xtdelnul -f 数量,金額 -i $in/dat.xt -o $out/${cmd}01.xt

#数量、金額の＊を削除(撰択)
${dbg}xtdelnul -f 数量,金額 -r -i $in/dat.xt -o $out/${cmd}02.xt

#数量、金額の＊を削除(項目間AND)
${dbg}xtdelnul -f 数量,金額 -F -i $in/dat.xt -o $out/${cmd}03.xt

#数量、金額の＊を削除(撰択,項目間AND)
${dbg}xtdelnul -f 数量,金額 -r -F -i $in/dat.xt -o $out/${cmd}04.xt

#数量、金額の＊を削除(行間AND)
${dbg}xtdelnul -f 数量,金額 -R -i $in/dat.xt -o $out/${cmd}05.xt

#数量、金額の＊を削除(撰択,行間AND)
${dbg}xtdelnul -f 数量,金額 -r -R -i $in/dat.xt -o $out/${cmd}06.xt

#数量、金額の＊を削除(,-kで指定)
${dbg}xtdelnul -k 店 -f 数量,金額 -i $in/dat.xt -o $out/${cmd}07.xt

#数量、金額の＊を削除(撰択,-kで指定)
${dbg}xtdelnul -k 店 -f 数量,金額 -r -i $in/dat.xt -o $out/${cmd}08.xt

#数量、金額の＊を削除(項目間AND,-kで指定)
${dbg}xtdelnul -k 店 -f 数量,金額 -F -i $in/dat.xt -o $out/${cmd}09.xt

#数量、金額の＊を削除(撰択,項目間AND,-kで指定)
${dbg}xtdelnul -k 店 -f 数量,金額 -r -F -i $in/dat.xt -o $out/${cmd}10.xt

#数量、金額の＊を削除(行間AND,-kで指定)
${dbg}xtdelnul -k 店 -f 数量,金額 -R -i $in/dat.xt -o $out/${cmd}11.xt

#数量、金額の＊を削除(撰択,行間AND,-kで指定)
${dbg}xtdelnul -k 店 -f 数量,金額 -r -R -i $in/dat.xt -o $out/${cmd}12.xt

#数量、金額の＊を削除(シーケンシャル)
${dbg}xtdelnul -f 数量,金額 -q -i $in/dat.xt -o $out/${cmd}13.xt

#数量、金額の＊を削除(撰択,シーケンシャル)
${dbg}xtdelnul -f 数量,金額 -r -q -i $in/dat.xt -o $out/${cmd}14.xt

#数量、金額の＊を削除(項目間AND,シーケンシャル)
${dbg}xtdelnul -f 数量,金額 -F -q -i $in/dat.xt -o $out/${cmd}15.xt

#数量、金額の＊を削除(撰択,項目間AND,シーケンシャル)
${dbg}xtdelnul -f 数量,金額 -r -F -q -i $in/dat.xt -o $out/${cmd}16.xt

#数量、金額の＊を削除(行間AND,シーケンシャル)
${dbg}xtdelnul -f 数量,金額 -R -i $in/dat.xt -o $out/${cmd}17.xt

#数量、金額の＊を削除(撰択,行間AND,シーケンシャル)
${dbg}xtdelnul -f 数量,金額 -r -R -q -i $in/dat.xt -o $out/${cmd}18.xt

#数量、金額の＊を削除(シーケンシャル,-kで指定)
${dbg}xtdelnul -k 店 -f 数量,金額 -q -i $in/dat.xt -o $out/${cmd}19.xt

#数量、金額の＊を削除(撰択,-kで指定,シーケンシャル)
${dbg}xtdelnul -k 店 -f 数量,金額 -q -r -i $in/dat.xt -o $out/${cmd}20.xt

#数量、金額の＊を削除(項目間AND,-kで指定,シーケンシャル)
${dbg}xtdelnul -k 店 -f 数量,金額 -F -q -i $in/dat.xt -o $out/${cmd}21.xt

#数量、金額の＊を削除(撰択,項目間AND,-kで指定,シーケンシャル)
${dbg}xtdelnul -k 店 -f 数量,金額 -r -F -q -i $in/dat.xt -o $out/${cmd}22.xt

#数量、金額の＊を削除(行間AND,-kで指定,シーケンシャル)
${dbg}xtdelnul -k 店 -f 数量,金額 -R -q -i $in/dat.xt -o $out/${cmd}23.xt

#数量、金額の＊を削除(撰択,行間AND,-kで指定,シーケンシャル)
${dbg}xtdelnul -k 店 -f 数量,金額 -r -R -q -i $in/dat.xt -o $out/${cmd}24.xt

#---------------------------------------------------------------
cmd="xtduprec"
#---------------------------------------------------------------
${dbg}xtduprec -f 商品 -i $in/dat.xt -o $out/${cmd}01.xt 

#---------------------------------------------------------------
cmd="xtheader"
#---------------------------------------------------------------
#ヘッダーを付ける
${dbg}xtcut -f 店,日付  -i $in/dat.xt                     |
${dbg}xtheader -a 新店,新日付 -l "新タイトル" -c "新コメント" -o $out/${cmd}01.xt

#---------------------------------------------------------------
cmd="xtjoin"
#---------------------------------------------------------------
#ジョインする
${dbg}xtjoin -k 店 -m $in/dat1.xt -f 結婚,子供 -i $in/dat.xt -o $out/${cmd}01.xt

#---------------------------------------------------------------
cmd="xtmkdata"
#---------------------------------------------------------------
#データの新規作成
${dbg}xtmkdata -c 'rand(0,100,1)' -a 新項目名 -l 100 -o $out/${cmd}01.xt

#---------------------------------------------------------------
cmd="xtnrcommon"
#---------------------------------------------------------------
#範囲選択
#数値範囲結合
${dbg}xtnrcommon -k no1 -v no2%n -m $in/dat6.xt -R r1,r2 -i $in/dat5.xt -o $out/${cmd}01.xts

#イコール条件反転
${dbg}xtnrcommon -k no1 -v no2%n -m $in/dat6.xt -R r1%n,r2%e -i $in/dat5.xt -o $out/${cmd}02.xts -u $out/${cmd}03.xts

#両方イコール条件
${dbg}xtnrcommon -k no1 -v no2%n -m $in/dat6.xt -R r1%e,r2%e -i $in/dat5.xt -o $out/${cmd}04.xts -u $out/${cmd}05.xts

#両方notイコール条件
${dbg}xtnrcommon -k no1 -v no2%n -m $in/dat6.xt -R r1%n,r2%n -i $in/dat5.xt -o $out/${cmd}06.xts -u $out/${cmd}07.xts

#文字列範囲結合
${dbg}xtnrcommon -k no1 -v no2   -m $in/dat6.xt -R r1,r2 -i $in/dat5.xt -o $out/${cmd}08.xts -u $out/${cmd}09.xts

#イコール条件反転
${dbg}xtnrcommon -k no1 -v no2   -m $in/dat6.xt -R r1%n,r2%e -i $in/dat5.xt -o $out/${cmd}10.xts -u $out/${cmd}11.xts

#条件反転(-r)
${dbg}xtnrcommon -k no1 -v no2%n -m $in/dat6.xt -R r1,r2 -i $in/dat5.xt -o $out/${cmd}11.xts -u $out/${cmd}12.xts -r

#---------------------------------------------------------------
cmd="xtrjoin"
#---------------------------------------------------------------
#範囲自然結合
#数値範囲結合
${dbg}xtrjoin -k no1 -v no2%n -m $in/dat7.xt -R r -f v1,v2 -i $in/dat5.xt -o $out/${cmd}01.xt

# -n
${dbg}xtrjoin -k no1 -v no2%n -m $in/dat7.xt -R r -f v1,v2 -i $in/dat5.xt -n -o $out/${cmd}02.xt

# -N
${dbg}xtrjoin -k no1 -v no2%n -m $in/dat7.xt -R r -f v1,v2 -i $in/dat5.xt -N -o $out/${cmd}03.xt

# -nN
${dbg}xtrjoin -k no1 -v no2%n -m $in/dat7.xt -R r -f v1,v2 -i $in/dat5.xt -nN -o $out/${cmd}04.xt

#文字列として
${dbg}xtrjoin -k no1 -v no2 -m $in/dat7.xt -R r -f v1,v2 -i $in/dat5.xt -nN -o $out/${cmd}05.xt

#キーなし
${dbg}xtrjoin -v no2%n -m $in/dat7.xt -R r -f v1,v2 -i $in/dat5.xt -o $out/${cmd}06.xt

#キーなし(文字列として)
${dbg}xtrjoin -v no2 -m $in/dat7.xt -R r -f v1,v2 -i $in/dat5.xt -o $out/${cmd}07.xt

#-Rのみ%オプション
${dbg}xtrjoin -k no1 -v no2 -m $in/dat7.xt -R r%n -f v1,v2 -i $in/dat5.xt -o $out/${cmd}08.xt

#---------------------------------------------------------------
cmd="xtnrjoin"
#---------------------------------------------------------------
#範囲自然結合
#数値範囲結合
${dbg}xtnrjoin -k no1 -v no2%n -m $in/dat6.xt -R r1,r2 -f v1,v2 -i $in/dat5.xt -o $out/${cmd}01.xts

#イコール条件反転
${dbg}xtnrjoin -k no1 -v no2%n -m $in/dat6.xt -R r1%n,r2%e -f v1,v2 -i $in/dat5.xt -o $out/${cmd}02.xts

#両方イコール条件
${dbg}xtnrjoin -k no1 -v no2%n -m $in/dat6.xt -R r1%e,r2%e -f v1,v2 -i $in/dat5.xt -o $out/${cmd}03.xts

#両方notイコール条件
${dbg}xtnrjoin -k no1 -v no2%n -m $in/dat6.xt -R r1%n,r2%n -f v1,v2 -i $in/dat5.xt -o $out/${cmd}04.xts


# -n
${dbg}xtnrjoin -k no1 -v no2%n -m $in/dat6.xt -R r1,r2 -f v1,v2 -i $in/dat5.xt -o $out/${cmd}05.xts -n

# -nN
${dbg}xtnrjoin -k no1 -v no2%n -m $in/dat6.xt -R r1,r2 -f v1,v2 -i $in/dat5.xt -o $out/${cmd}06.xts -nN

# -N
${dbg}xtnrjoin -k no1 -v no2%n -m $in/dat6.xt -R r1,r2 -f v1,v2 -i $in/dat5.xt -o $out/${cmd}07.xts -N

# キーなし
${dbg}xtnrjoin -v no2%n -m $in/dat6.xt -R r1,r2 -f v1,v2 -i $in/dat5.xt -o $out/${cmd}08.xts

#文字列として
${dbg}xtnrjoin -k no1 -v no2 -m $in/dat6.xt -R r1,r2 -f v1,v2 -i $in/dat5.xt -o $out/${cmd}09.xts

#---------------------------------------------------------------
cmd="xtnjoin"
#---------------------------------------------------------------
#自然結合させる
${dbg}xtnjoin -k 店 -m $in/dat1.xt -f 結婚,子供 -i $in/dat.xt -o $out/${cmd}01.xt

#---------------------------------------------------------------
cmd="xtnulto"
#---------------------------------------------------------------
#NULLの変換
${dbg}xtnulto -f 数量,金額 -v 0 -i $in/dat.xt -o $out/${cmd}01.xt

#-O
${dbg}xtnulto -f 数量,金額 -v NULL -O notNULL -i $in/dat.xt -o $out/${cmd}02.xt

#-A
${dbg}xtnulto -f 数量:数量NULL,金額:金額NULL -v NULL -A -i $in/dat.xt -o $out/${cmd}03.xt

#-O,-A
${dbg}xtnulto -f 数量:数量NULL,金額:金額NULL -v NULL -O notNULL -A -i $in/dat.xt -o $out/${cmd}04.xt

#---------------------------------------------------------------
cmd="xtnumber"
#---------------------------------------------------------------
#金額の高い順にソート
#金額に対して番号をふる
${dbg}xtnumber -s 金額%nr -a 金額順位 -i $in/dat.xt -o $out/${cmd}01.xt

#金額の高い順にソート
#金額に対して番号をふる
${dbg}xtnumber -q  -a 金額順位 -i $in/dat.xt -o $out/${cmd}02.xt

#同順位は同じ番号で
${dbg}xtnumber -e same -k 店 -s 数値1%n -a new -i $in/dat3.xt -o $out/${cmd}03.xt

#同順位は同じ番号で＆次の順位は重複分スキップ
${dbg}xtnumber -e skip -k 店 -s 数値1%n -a new -i $in/dat3.xt -o $out/${cmd}04.xt

#同順位は同じ番号で
${dbg}xtnumber -e same -k 数値1 -s 店%r -a new -i $in/dat3.xt -o $out/${cmd}05.xt

#同順位は同じ番号で＆次の順位は重複分スキップ
${dbg}xtnumber -e skip -k 数値1 -s 店%r -a new -i $in/dat3.xt -o $out/${cmd}06.xt

#キー連番
${dbg}xtnumber -k 店 -B -a new -i $in/dat3.xt -o $out/${cmd}07.xt

#---------------------------------------------------------------
cmd="xtpattern"
#---------------------------------------------------------------
#商品を連結して１つの文字列にする
${dbg}xtpattern -s 店 -f 商品:商品パターン -i $in/dat.xt -o $out/${cmd}01.xt

#商品を連結して１つの文字列にする(シーケンシャル)
${dbg}xtpattern -s 店 -f 商品:商品パターン -q -i $in/dat.xt -o $out/${cmd}02.xt

#---------------------------------------------------------------
cmd="xtproduct"
#---------------------------------------------------------------
#直積結合
${dbg}xtproduct -m $in/dat1.xt -f 結婚,子供 -i $in/dat.xt -o $out/${cmd}01.xt

#---------------------------------------------------------------
cmd="xtrand"
#---------------------------------------------------------------
#乱数を発生させる
${dbg}xtrand -S 10 -a 乱数 -i $in/dat.xt -o $out/${cmd}01.xt

#乱数を発生させる
${dbg}xtrand -S 10 -M 10000 -a 乱数 -i $in/dat.xt -o $out/${cmd}02.xt

#乱数を発生させる
${dbg}xtrand -S 10 -M 10000 -C 10 -a 乱数 -i $in/dat.xt -o $out/${cmd}03.xt

#---------------------------------------------------------------
cmd="xtsed"
#---------------------------------------------------------------
#商品コードの18部を変換
${dbg}xtsed -f 正規 -c 'AA*' -v '##' -i $in/regedat.xt -o $out/${cmd}01.xt

#商品コードの18部を変換
${dbg}xtsed -f 正規 -c '^A' -v '(&)' -i $in/regedat.xt -o $out/${cmd}02.xt

${dbg}xtsed -f 正規 -c 'A.A' -v 'A' -g -i $in/regedat.xt -o $out/${cmd}03.xt

#---------------------------------------------------------------
cmd="xtsel"
#---------------------------------------------------------------
#条件式に==を使ったVER.
${dbg}xtsel -k 店 -c '$金額==500' -i $in/dat.xt -o $out/${cmd}01.xt

#条件式に<を使ったVER．
${dbg}xtsel -k 店 -c '$金額<500' -i $in/dat.xt -o $out/${cmd}02.xt

#条件式に<=を使ったVER．
${dbg}xtsel -k 店 -c '$金額<=500' -i $in/dat.xt -o $out/${cmd}03.xt

#条件式に>を使ったVER.
${dbg}xtsel -k 店 -c '$金額>500' -i $in/dat.xt -o $out/${cmd}04.xt

#条件式に>=を使ったVER．
${dbg}xtsel -k 店 -c '$金額>=500' -i $in/dat.xt -o $out/${cmd}05.xt

#条件式に<>を使ったVER．
${dbg}xtsel -k 店 -c '$金額<>500' -i $in/dat.xt -o $out/${cmd}06.xt

#条件式に-eqを使ったVER．
${dbg}xtsel -k 店 -c '$金額-eq500' -i $in/dat.xt -o $out/${cmd}07.xt

#条件式に-gtを使ったVER．
${dbg}xtsel -k 店 -c '$金額-gt500' -i $in/dat.xt -o $out/${cmd}08.xt

#条件式に-geを使ったVER．
${dbg}xtsel -k 店 -c '$金額-ge500' -i $in/dat.xt -o $out/${cmd}09.xt

#条件式に-ltを使ったVER．
${dbg}xtsel -k 店 -c '$金額-lt500' -i $in/dat.xt -o $out/${cmd}10.xt

#条件式に-leを使ったVER．
${dbg}xtsel -k 店 -c '$金額-le500' -i $in/dat.xt -o $out/${cmd}11.xt

#条件式に-neを使ったVER．
${dbg}xtsel -k 店 -c '$金額-ne500' -i $in/dat.xt -o $out/${cmd}12.xt

#条件式に||を使ったVER．
${dbg}xtsel -k 店 -c '$金額<300 || $金額>=500' -i $in/dat.xt -o $out/${cmd}13.xt

#条件式に&&を使ったVER．
${dbg}xtsel -k 店 -c '$金額>300 && $金額<=500' -i $in/dat.xt -o $out/${cmd}14.xt

#条件式に=~を使ったVER．
${dbg}xtsel  -c '$金額=~5' -r -i $in/dat.xt -o $out/${cmd}15.xt

#条件式に==を使ったVER.-R付き
${dbg}xtsel -k 店 -c '$数量==1,金額==459' -R -i $in/dat.xt -o $out/${cmd}16.xt

#---------------------------------------------------------------
cmd="xtselstr"
#---------------------------------------------------------------
#指定した文字列を含む行の撰択
${dbg}xtselstr -f 結婚 -v O -i $in/dat1.xt -o $out/${cmd}01.xt

#指定した文字列を含む行の撰択(項目間AND)
${dbg}xtselstr -f 結婚,子供 -v O  -F -i $in/dat1.xt -o $out/${cmd}02.xt

#指定した文字列を含む行の撰択(行間AND)
${dbg}xtselstr -f 結婚 -v O  -R -i $in/dat1.xt -o $out/${cmd}03.xt

#指定した文字列を含む行の撰択(オプションKを付けたVER．)
${dbg}xtselstr -k 店 -f 結婚 -v O -i $in/dat1.xt -o $out/${cmd}04.xt

#指定した文字列を含む行の撰択(項目間AND,オプションKを付けたVER．)
${dbg}xtselstr -k 店 -f 結婚,子供 -v O -i $in/dat1.xt -o $out/${cmd}05.xt

#指定した文字列を含む行の撰択(行間AND,オプションKを付けたVER．)
${dbg}xtselstr -k 店 -f 結婚 -v O -i $in/dat1.xt -o $out/${cmd}06.xt

#指定した文字列を含む行の撰択(-rを付けたVER.)
${dbg}xtselstr -f 結婚 -v O -r -i $in/dat1.xt -o $out/${cmd}07.xt

#指定した文字列を含む行の撰択(項目間AND,-rを付けたVER.)
${dbg}xtselstr -f 結婚,子供 -v O -r -F -i $in/dat1.xt -o $out/${cmd}08.xt

#指定した文字列を含む行の撰択(行間AND,-rを付けたVER．)
${dbg}xtselstr -f 結婚 -v O  -R -i $in/dat1.xt -o $out/${cmd}09.xt

#指定した文字列を含む行の撰択(オプションKを付けたVER．-rを付けたVER.)
${dbg}xtselstr -k 店 -f 結婚 -v O -i $in/dat1.xt -o $out/${cmd}10.xt

#指定した文字列を含む行の撰択(項目間AND,オプションKを付けたVER．-rを付けたVER.)
${dbg}xtselstr -k 店 -f 結婚,子供 -v O -i $in/dat1.xt -o $out/${cmd}11.xt

#指定した文字列を含む行の撰択(行間AND,オプションKを付けたVER． -rを付けたVER．)
${dbg}xtselstr -k 店 -f 結婚 -v O -i $in/dat1.xt -o $out/${cmd}12.xt

#指定した文字列を含む行の撰択(シーケンシャル処理)
${dbg}xtselstr -f 結婚 -v O -q -i $in/dat1.xt -o $out/${cmd}13.xt

#指定した文字列を含む行の撰択(項目間AND,シーケンシャル処理)
${dbg}xtselstr -f 結婚,子供 -v O  -F -q -i $in/dat1.xt -o $out/${cmd}14.xt

#指定した文字列を含む行の撰択(行間AND,シーケンシャル処理)
${dbg}xtselstr -f 結婚 -v O  -R -q -i $in/dat1.xt -o $out/${cmd}15.xt

#指定した文字列を含む行の撰択(オプションKを付けたVER．,シーケンシャル処理)
${dbg}xtselstr -k 店 -f 結婚 -v O -q -i $in/dat1.xt -o $out/${cmd}16.xt

#指定した文字列を含む行の撰択(項目間AND,オプションKを付けたVER．シーケンシャル処理)
${dbg}xtselstr -k 店 -f 結婚,子供 -v O -q -i $in/dat1.xt -o $out/${cmd}17.xt

#指定した文字列を含む行の撰択(行間AND,オプションKを付けたVER．シーケンシャル処理)
${dbg}xtselstr -k 店 -f 結婚 -v O -q -i $in/dat1.xt -o $out/${cmd}18.xt

#指定した文字列を含む行の撰択(-rを付けたVER.シーケンシャル処理)
${dbg}xtselstr -f 結婚 -v O -r -q -i $in/dat1.xt -o $out/${cmd}19.xt

#指定した文字列を含む行の撰択(項目間AND,-rを付けたVER.シーケンシャル処理)
${dbg}xtselstr -f 結婚,子供 -v O -r -F -q -i $in/dat1.xt -o $out/${cmd}20.xt

#指定した文字列を含む行の撰択(行間AND,-rを付けたVER．シーケンシャル処理)
${dbg}xtselstr -f 結婚 -v O  -R -q -i $in/dat1.xt -o $out/${cmd}21.xt

#指定した文字列を含む行の撰択(オプションKを付けたVER．-rを付けたVER.シーケンシャル処理)
${dbg}xtselstr -k 店 -f 結婚 -v O -q -i $in/dat1.xt -o $out/${cmd}22.xt

#指定した文字列を含む行の撰択(項目間AND,オプションKを付けたVER．-rを付けたVER.シーケンシャル処理)
${dbg}xtselstr -k 店 -f 結婚,子供 -v O -q -i $in/dat1.xt -o $out/${cmd}23.xt

#指定した文字列を含む行の撰択(行間AND,オプションKを付けたVER． -rを付けたVER．シーケンシャル処理)
${dbg}xtselstr -k 店 -f 結婚 -v O -q -i $in/dat1.xt -o $out/${cmd}24.xt

#---------------------------------------------------------------
cmd="xtsep"
#---------------------------------------------------------------
#ファイルの分割
${dbg}xtsep -d $out/${cmd}01-'$(店).xt' -i $in/dat.xt   

#ファイルの分割(2項目)
${dbg}xtsep -d $out/${cmd}02-'$(店)-$(日付).xt' -i $in/dat.xt   

#ファイルの分割(2項目くっつけて)
${dbg}xtsep -d $out/${cmd}03-'$(店)$(日付).xt' -i $in/dat.xt   

#ファイルの分割(2項目括弧なし)
${dbg}xtsep -d $out/${cmd}04-'$店$(日付).xt' -i $in/dat.xt   

#---------------------------------------------------------------
cmd="xtsetchr"
#---------------------------------------------------------------
#文字列を追加させる
${dbg}xtsetchr -v 2002年10月10日 -a 今日 -i $in/dat.xt -o $out/${cmd}01.xt

#---------------------------------------------------------------
cmd="xtshare"
#---------------------------------------------------------------
#店の数量金額シェア
${dbg}xtshare -k 店 -f 数量:数量シェア,金額:金額シェア -i $in/dat.xt -o $out/${cmd}01.xt

#店の数量金額シェ(NULL取りVER)
${dbg}xtnulto -f 数量,金額 -v 0 -i $in/dat.xt |
${dbg}xtshare -k 店 -f 数量:数量シェア,金額:金額シェア  -o $out/${cmd}02.xt

#---------------------------------------------------------------
cmd="xtslide"
#---------------------------------------------------------------
#次日付スライド
${dbg}xtslide -k 店 -f 日付:次日付 -s 日付 -i $in/dat.xt -o $out/${cmd}01.xt

#次日付スライド(-nを使ったVER)
${dbg}xtslide -k 店 -f 日付:次日付 -s 日付 -n -i $in/dat.xt -o $out/${cmd}02.xt

#---------------------------------------------------------------
cmd="xtsort"
#---------------------------------------------------------------
#-kのパラメータ指定なしVER．
${dbg}xtsort -k 時間,金額  -i $in/dat.xt -o $out/${cmd}01.xt

#%nを与えたVER．
${dbg}xtsort -k 時間%n,金額%n  -i $in/dat.xt -o $out/${cmd}02.xt

#%rを与えたVER.
${dbg}xtsort -k 時間%r,金額%r  -i $in/dat.xt -o $out/${cmd}03.xt

#両%nrVER.
${dbg}xtsort -k 時間%nr,金額%nr  -i $in/dat.xt -o $out/${cmd}04.xt

#金額%nrVER.
${dbg}xtsort -k 時間,金額%nr  -i $in/dat.xt -o $out/${cmd}05.xt

#---------------------------------------------------------------
cmd="xtstatistics"
#---------------------------------------------------------------
#統計VAR
${dbg}xtstatistics -k 店 -f 数量,金額 -c var -i $in/dat.xt -o $out/${cmd}01.xt

#統計std
${dbg}xtstatistics -k 店 -f 数量,金額 -c std -i $in/dat.xt -o $out/${cmd}02.xt

#統計VAR(シーケンシャル)
${dbg}xtstatistics -k 店 -f 数量,金額 -q -c var -i $in/dat.xt -o $out/${cmd}03.xt

#統計std(シーケンシャル)
${dbg}xtstatistics -k 店 -f 数量,金額 -q -c std -i $in/dat.xt -o $out/${cmd}04.xt

#---------------------------------------------------------------
cmd="xtsubstr"
#---------------------------------------------------------------
#時間を時分にする
${dbg}xtsubstr -f 時間:時分 -R 1_4 -i $in/dat.xt -o $out/${cmd}01.xt

#範囲指定を複数指定VER.
${dbg}xtsubstr -f 時間:時分 -R 1_2,4_6 -i $in/dat.xt -o $out/${cmd}02.xt

#範囲指定にMAXをつかったVER．
${dbg}xtsubstr -f 時間:時分 -R 1_2,4_MAX -i $in/dat.xt -o $out/${cmd}03.xt

#時間を時分にする
${dbg}xtsubstr -f 時間:時分 -R 1_4 -A -i $in/dat.xt -o $out/${cmd}04.xt

#範囲指定を複数指定VER.
${dbg}xtsubstr -f 時間:時分 -R 1_2,4_6 -A -i $in/dat.xt -o $out/${cmd}05.xt

#範囲指定にMAXをつかったVER．
${dbg}xtsubstr -f 時間:時分 -R 1_2,4_MAX -A -i $in/dat.xt -o $out/${cmd}06.xt

#---------------------------------------------------------------
cmd="xtuniq"
#---------------------------------------------------------------
#店毎にUNIQ
${dbg}xtuniq -k 店 -i $in/dat.xt -o $out/${cmd}01.xt

#店毎にUNIQ(複数指定VER.)
${dbg}xtuniq -k 店,日付 -i $in/dat.xt -o $out/${cmd}02.xt

#店毎にUNIQ(シーケンシャル)
${dbg}xtuniq -k 店 -q -i $in/dat.xt -o $out/${cmd}03.xt

#店毎にUNIQ(複数指定VER.,シーケンシャル)
${dbg}xtuniq -k 店,日付 -q -i $in/dat.xt -o $out/${cmd}04.xt

#---------------------------------------------------------------
#項目名の指定についてのさまざまなチェック
cmd="fldchk"
#---------------------------------------------------------------
#新項目名
${dbg}xtcut -f '数値*:val(&)' -i $in/dat3.xt -o $out/${cmd}01.xt

##===============================================================
